Subject: Re: [PATCH 1/3] ath10k: remove ath10k_vif_to_arvif()

From: "Valo, Kalle" <[email-masked]>
Date: Tue, 7 Feb 2017 09:14:42 +0000

Adrian Chadd <[email-masked]> writes:

> Removing this method makes the diff to FreeBSD larger, as "vif" in
> FreeBSD is a different pointer.
>
> (Yes, I have ath10k on freebsd working and I'd like to find a way to
> reduce the diff moving forward.)

I don't like this "(void *) vif->drv_priv" style that much either but
apparently it's commonly used in Linux wireless code and already parts
of ath10k. So this patch just unifies the coding style.

-- 
Kalle Valo